h5py

module (bold = default) build dependencies
h5py/2.3.1 python/2.7.6 hdf5/1.8.12/b2 numpy/1.7.1/b1
h5py/2.5.0 python/2.7.9/b1 hdf5/1.8.14
h5py/2.6.0 python/2.7.10/b1 hdf5/1.8.14

also see Using Software.